package com.ai.da.service;


import com.ai.da.mapper.primary.entity.RefundInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.stripe.model.Charge;
import com.stripe.model.Refund;

import java.util.List;

public interface RefundInfoService extends IService<RefundInfo> {

    RefundInfo createRefundByOrderNo(String orderNo, String reason);

    void updateRefund(String content);

    List<RefundInfo> getNoRefundOrderByDuration(int minutes);

    RefundInfo createRefundByOrderNoForAliPay(String orderNo, String reason);

    void updateRefundForAliPay(String refundNo, String content, String refundStatus);

    void updateRefundForPayPal(Long id, String refundId, String content, String refundStatus);

    List<RefundInfo> getByChargeId(String chargeId);

    RefundInfo createRefundForStripe(Refund refund);

    RefundInfo updateRefundStatusForStripe(Refund refund);

    RefundInfo updateRefundForStripe(Charge charge);

}
